NBSHU=50
TMPOUT=/tmp/carnac_mfe_svm_single_res

arnica -q -g -l -i -c -s $NBSHU -o $TMPOUT $@

if [ -e "$TMPOUT/carnac_mfe.out" ] ; then

    ORIG_STRUCT_PROBA=`awk '/^Sequences/ { split($0,txt,"="); print txt[2]; }' < $TMPOUT/carnac_mfe.out`
    SHUF_STRUCT_PROBA=`awk '/^Shuffle/ { split($0,txt,"="); print txt[2]; }' < $TMPOUT/carnac_mfe.out`

    CALCULS=`cat $TMPOUT/carnac_mfe.out | tr '.' ',' | awk 'BEGIN { sumz=0; sume=0; nb=0; } /structured/ { nb=$3; } /energy/ { for(i=2; i <= (nb+1); i+=1) { sume += $i; } } /z-score/ { for(i=2; i <= (nb+1); i+=1) { sumz += $i; } } END { printf("%i %.2f %.2f\n", nb, sume/nb, sumz/nb); }'  | tr ',' '.'`
    NB=`echo "$CALCULS" | cut -d' ' -f1`
    AVG_ENERGY=`echo "$CALCULS" | cut -d' ' -f2`
    AVG_ZSCORE=`echo "$CALCULS" | cut -d' ' -f3`

    LENGTH=`cat $TMPOUT/length.out | cut -d= -f2 | tr -d ' '`
    ID=`cat $TMPOUT/needle.out | cut -d= -f2 | tr -d ' '`
    GC=`cat $TMPOUT/gc.out | cut -d= -f2 | tr -d ' '`


    echo "1:$NB 2:$ID 3:$LENGTH 4:$GC 5:$AVG_ENERGY 6:$AVG_ZSCORE 7:$ORIG_STRUCT_PROBA 8:$SHUF_STRUCT_PROBA"

fi

rm -rf $TMPOUT
