#!/bin/sh

DIR=$1
PER=$2
OUTPUT_DIR=$3

NB_PHASES=6
NB_SAMPLES=50
MAX_RES=2
MIN_SIM=0.0


ARNICA_OPTS="-p ${NB_PHASES} -f ${MIN_SIM} -m ${MAX_RES} -s ${NB_SAMPLES} -i -l -n -g -d -q"


for i in $DIR/* ; do
    j=`basename $i`

    OUTPUT=${OUTPUT_DIR}/`basename $DIR`_${PER}
    
	NB_FILES=`find $i/orig -name "*fa*.*[0-9]" | wc -l | tr -d ' '`
	if [ $NB_FILES -ge $PER ] ; then

		echo "Working on $i..."

		mkdir -p $OUTPUT

		FILES=`find $i/orig -name "*fa*.*[0-9]" | random_input $PER |  xargs echo -n`
    		arnica ${ARNICA_OPTS} -o $OUTPUT/${j} $FILES | tee $OUTPUT/${j}.out
	fi
done

