#ifdef HAVE_CONFIG_H
    #include "config.h"
#endif

#include "input.h"
#include "output.h"
#include "opts.h"
#include "display.h"


#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <assert.h>


int
main(int argc, char **argv) {
   int nb_seqs = 0, i;
   sequence* seqs = NULL;
   sequence* seq_t = NULL;
   char *input = NULL;
   int t = 0;
   sequence temp;


   if(argc != 2) {
      ERROR_ "Missing or too many arguments!!\n" _ERROR;
      return 2;
   }

   init_opts();


   input = argv[1];

   if(read_sequences(input, &seq_t, &t)) {
      ERROR_ "problem while reading %s\n", input _ERROR;
   } else {
      for(i = 0; i < t; i++) {
	 check_sequence(seq_t[i]);
      }
      
      if(nb_seqs) { RENEW(seqs, sequence, (t+nb_seqs)); }
      else { NEW(seqs, sequence, t); }
      memcpy(&(seqs[nb_seqs]), seq_t, t*sizeof(sequence));
      
      nb_seqs += t;
      DESTROY(seq_t);
   }

   for(i = 0; i < nb_seqs; i++) {
      temp = change_sequence_strand(seqs[i], -1);

      DESTROY(seqs[i]->file);
      DESTROY(seqs[i]->name);
      DESTROY(seqs[i]->input_name);
      DESTROY(seqs[i]->bases);
      DESTROY(seqs[i]);

      seqs[i] = temp;
   }

   write_fasta(DISPLAY_OUT, seqs, nb_seqs, 1);

   for(i = 0; i < nb_seqs; i++) {
      DESTROY(seqs[i]->file);
      DESTROY(seqs[i]->name);
      DESTROY(seqs[i]->input_name);
      DESTROY(seqs[i]->bases);
      DESTROY(seqs[i]);
   }
   
   DESTROY(seqs);
   
   return 0;
}
